<?php
$operatorMeta = array(
    'operators' => array(
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'OnLinkChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'objectModule' => array(
                    'id' => 'objectModule',
                                        'value' => 'Emails',
                                    ),
                'subjectModule' => array(
                    'id' => 'subjectModule',
                                        'value' => 'Cases',
                                    ),
                'linkName' => array(
                    'id' => 'linkName',
                                        'value' => 'cases',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'after_relationship_add',
                                    ),
            ),
            'outDataPorts' => array(
                'objectEntity' => array(
                    'id' => 'objectEntity',
                                        'value' => 'Emails',
                                    ),
                'subjectEntity' => array(
                    'id' => 'subjectEntity',
                                        'value' => 'Cases',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-6' => array(
            'id' => 'op-6',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Closed',
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'EqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'status',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'ConstantDropdownOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
            ),
            'outDataPorts' => array(
                'dropdownName' => array(
                    'id' => 'dropdownName',
                                        'value' => 'case_status_dom',
                                    ),
                'dropdownValue' => array(
                    'id' => 'dropdownValue',
                                        'value' => 'Assigned',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'SaveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Cases',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-2' => array(
            'from' => 'op-4subjectEntity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'subjectEntity',
            'to' => 'op-5entity',
            'toOperator' => 'op-5',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-5fields0',
            'fromOperator' => 'op-5',
            'fromConnector' => 'fields0',
            'to' => 'op-7operand1',
            'toOperator' => 'op-7',
            'toConnector' => 'operand1'
        ),
        'link-4' => array(
            'from' => 'op-6dropdownValue',
            'fromOperator' => 'op-6',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-7operand2',
            'toOperator' => 'op-7',
            'toConnector' => 'operand2'
        ),
        'link-5' => array(
            'from' => 'op-7result',
            'fromOperator' => 'op-7',
            'fromConnector' => 'result',
            'to' => 'op-8condition',
            'toOperator' => 'op-8',
            'toConnector' => 'condition'
        ),
        'link-6' => array(
            'from' => 'op-4controlFlow',
            'fromOperator' => 'op-4',
            'fromConnector' => 'controlFlow',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-7' => array(
            'from' => 'op-8controlFlowIfTrue',
            'fromOperator' => 'op-8',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
        'link-8' => array(
            'from' => 'op-4subjectEntity',
            'fromOperator' => 'op-4',
            'fromConnector' => 'subjectEntity',
            'to' => 'op-9entity',
            'toOperator' => 'op-9',
            'toConnector' => 'entity'
        ),
        'link-9' => array(
            'from' => 'op-10dropdownValue',
            'fromOperator' => 'op-10',
            'fromConnector' => 'dropdownValue',
            'to' => 'op-9fields0',
            'toOperator' => 'op-9',
            'toConnector' => 'fields0'
        ),
        'link-10' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-11entity',
            'toOperator' => 'op-11',
            'toConnector' => 'entity'
        ),
    )
);
