<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb5f5f314e4ec069_36260447/operators/FlowchartOperator_lb5f5f314e4ec069_36260447.php';

class SetEntityAttributesOperator_lb5f5f314e4ec069_36260447_op9 extends FlowchartOperator_lb5f5f314e4ec069_36260447{

    protected $entity;
    protected $attributes;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        $this->initBeanWithInData();
    }

    protected function initBeanWithInData(){
        $fieldDef = $this->entity->field_defs['status'];
        switch($fieldDef['type']){
            case 'date':
            case 'datetime':
            case 'datetimecombo':
                require_once 'custom/PxRoutines/LogicBuilderPackages/lb5f5f314e4ec069_36260447/helpers/DateTimeConverter_lb5f5f314e4ec069_36260447.php';
                $newValue = DateTimeConverter_lb5f5f314e4ec069_36260447::convertDateForEntitySet($fieldDef, $this->attributes['status']);
                $this->entity->status = $newValue;
                break;
            default:
                $this->entity->status = $this->attributes['status'];
            }
    }

    public function setInDataPortById($id, $value){
        if(!empty($this->inDataPorts[$id])){
            if($value instanceof SugarBean){
                $this->entity = $value;
            }else{
                $this->attributes[$this->inDataPorts[$id]['value']] = $value;
            }
        }
    }

    public function getOutDataByPortId($portId){
        return $this->entity;
    }

}
